be.ehealth.technicalconnector.session.renew

## Class AbstractRenewStrategy

- java.lang.Object
- - be.ehealth.technicalconnector.session.renew.AbstractRenewStrategy

- All Implemented Interfaces:
    RenewStrategy, SessionServiceWithCache
  Direct Known Subclasses:
    SlidingWindowRenewStrategy, TokenExpiredRenew

      public abstract class AbstractRenewStrategy
      extends Object
      implements RenewStrategy

- - ### Field Summary

    - ### Fields inherited from interface be.ehealth.technicalconnector.session.renew.RenewStrategy

      `DEFAULT_VALIDITY_TOKEN, PROP_AUTO_RENEW, PROP_VALIDITY_TOKEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRenewStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flushCache()` Method to flush the cache after invoking this method.
    `List<SessionServiceWithCache>` | `getCacheServices()`
    `void` | `register(SessionServiceWithCache serviceWithCache)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface be.ehealth.technicalconnector.session.renew.RenewStrategy

      `renew`

- - ### Constructor Detail

    - #### AbstractRenewStrategy

          public AbstractRenewStrategy()

  - ### Method Detail

    - #### register

          public void register(SessionServiceWithCache serviceWithCache)

      Specified by:
        `register` in interface `RenewStrategy`

    - #### flushCache

          public void flushCache()

      Description copied from interface: `SessionServiceWithCache`
      Method to flush the cache after invoking this method.
      Specified by:
        `flushCache` in interface `SessionServiceWithCache`

    - #### getCacheServices

          public List<SessionServiceWithCache> getCacheServices()

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.